import { NotificationDetails, NotificationsState } from './notifications.store';
declare class NotificationsService {
  private readonly _state;
  constructor();
  get state(): NotificationsState;
  closeCurrent(): void;
  clearNotifications(): void;
  showErrorNotification(details: NotificationDetails, priority?: number | undefined): void;
  showInfoNotification(details: NotificationDetails, priority?: number | undefined): void;
  showWarningNotification(details: NotificationDetails, priority?: number | undefined): void;
  showSuccessNotification(details: NotificationDetails, priority?: number | undefined): void;
  private pushNotification;
}
declare const _default: NotificationsService;
export default _default;
